Announcement

Announcement Module
Collapse
No announcement yet.

yum update fail on XtraDB dependency

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • yum update fail on XtraDB dependency

    Getting an error on RHEL 5.8 (Tikanga) when running 'yum update'


    --> Finished Dependency ResolutionPercona-XtraDB-Cluster-galera-2.0-1.109.rhel5.x86_64 from percona has depsolving problems--> Missing Dependency: libboost_program_options.so.5()(64bit) is needed by package Percona-XtraDB-Cluster-galera-2.0-1.109.rhel5.x86_64 (percona)Error: Missing Dependency: libboost_program_options.so.5()(64bit) is needed by package Percona-XtraDB-Cluster-galera-2.0-1.109.rhel5.x86_64 (percona)


    Have only run across one similar mention of this problem where it is suggested to install a newer version of the boost libraries but no mention if that was tried or fixed the problem.

    Some more info about the installed packages:


    $ yum deplist Percona-XtraDB-Cluster-galerapackage: Percona-XtraDB-Cluster-galera.x86_64 2.0-1.109.rhel5 dependency: libboost_program_options.so.5()(64bit) Unsatisfied dependency



    $ yum info boostName : boostArch : x86_64Version : 1.33.1Release : 15.el5


    EDIT: Wow 600 views and no replies, I'm trying to set a record!
    EDIT: Over 900!
    EDIT: Big weekend, 1900 views no replies!

  • #2
    Waited a week and tried 'yum update' again and did not receive the error. Perhaps someone was corrupt/missing in the percona repo causing the dependency failure which they resolved?

    Comment


    • #3
      Hi,

      I just saw your thread. I think that you can solve your problem by installing boost141 and boost141-devel from the EPEL repo.

      Hope that will solve your problem.

      Comment

      Working...
      X